﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_FEEBILL')
 CREATE TABLE T_CFM_FEEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFEESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FFEETYPEID BIGINT DEFAULT 0 NOT NULL,
FCOUNTERPARTYID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSETTLEMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FFEEACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FOPPBEBANKID BIGINT DEFAULT 0 NOT NULL,
FISSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FOPPUNITID BIGINT DEFAULT 0 NOT NULL,
FOPPACCTBANK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOPPUNITTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPPUNITTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFEESOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_FEEBILL_E')
 CREATE TABLE T_CFM_FEEBILL_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTTYPEID BIGINT DEFAULT 0 NOT NULL,
FFEERATIO DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFEEDETAILAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL_E' AND KSQL_COL_NAME ='FSRCBILLID')
 ALTER TABLE T_CFM_FEEBILL_E ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/

/** 费用明细单 -->增加应用数据来源 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL' AND KSQL_COL_NAME ='FAPPSOURCE')
 ALTER TABLE T_CFM_FEEBILL ADD (FAPPSOURCE  NVARCHAR(50) DEFAULT ' ' NOT NULL);

/** 费用明细单分录 -->增加信用证字段 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL_E' AND KSQL_COL_NAME ='FCREDITNO')
 ALTER TABLE T_CFM_FEEBILL_E ADD (FCREDITNO  NVARCHAR(80) DEFAULT ' ' NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL_E' AND KSQL_COL_NAME ='FARRISUBNO')
 ALTER TABLE T_CFM_FEEBILL_E ADD (FARRISUBNO  NVARCHAR(80) DEFAULT ' ' NOT NULL);

/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql  费用明细增加批次号 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL' AND KSQL_COL_NAME ='FBATCHNO')
 ALTER TABLE T_CFM_FEEBILL ADD (FBATCHNO NVARCHAR(255) DEFAULT ' ' NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL' AND KSQL_COL_NAME IN ('FSHARETYPE'))
 ALTER TABLE T_CFM_FEEBILL ADD (FSHARETYPE CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL' AND KSQL_COL_NAME IN ('FPAYBILLID'))
 ALTER TABLE T_CFM_FEEBILL ADD (FPAYBILLID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL' AND KSQL_COL_NAME IN ('FFEEACCOUNTID'))
 ALTER TABLE T_CFM_FEEBILL ADD (FFEEACCOUNTID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL_E' AND KSQL_COL_NAME IN ('FSRCSTATUS'))
 ALTER TABLE T_CFM_FEEBILL_E ADD (FSRCSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL' AND KSQL_COL_NAME IN ('FENPAYAMT'))
 ALTER TABLE T_CFM_FEEBILL ADD (FENPAYAMT DECIMAL(19,6) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FEEBILL_E' AND KSQL_COL_NAME IN ('FEXCRATE'))
 ALTER TABLE T_CFM_FEEBILL_E ADD (FEXCRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );

 EXEC p_AlterColumn 'T_CFM_FEEBILL_E', 'FEXCRATE', 'DECIMAL(23,10)', 'NOT NULL', '0001', '1';
